/// <reference types="node" />
export declare const EventstoreFrozenError: {
    new (msg?: string | undefined): {
        name: string;
        message: string;
        stack?: string | undefined;
    };
    is(err: any): boolean;
    captureStackTrace(targetObject: object, constructorOpt?: Function | undefined): void;
    prepareStackTrace?: ((err: Error, stackTraces: NodeJS.CallSite[]) => any) | undefined;
    stackTraceLimit: number;
};
export declare const AlreadyFrozenError: {
    new (msg?: string | undefined): {
        name: string;
        message: string;
        stack?: string | undefined;
    };
    is(err: any): boolean;
    captureStackTrace(targetObject: object, constructorOpt?: Function | undefined): void;
    prepareStackTrace?: ((err: Error, stackTraces: NodeJS.CallSite[]) => any) | undefined;
    stackTraceLimit: number;
};
export declare const AlreadyUnfrozenError: {
    new (msg?: string | undefined): {
        name: string;
        message: string;
        stack?: string | undefined;
    };
    is(err: any): boolean;
    captureStackTrace(targetObject: object, constructorOpt?: Function | undefined): void;
    prepareStackTrace?: ((err: Error, stackTraces: NodeJS.CallSite[]) => any) | undefined;
    stackTraceLimit: number;
};
