const drop = async ({
  dropEvents,
  dropSecrets,
  dropFinal,
  maybeThrowResourceError
}) => {
  const errorsArrays = await Promise.all([dropEvents(), dropSecrets()]);
  const finalErrors = await dropFinal();
  const errors = [];

  for (const errorsArray of errorsArrays) {
    errors.push(...errorsArray);
  }

  errors.push(...finalErrors);
  maybeThrowResourceError(errors);
};

export default drop;
//# sourceMappingURL=drop.js.map