"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const drop = async ({
  dropEvents,
  dropSecrets,
  dropFinal,
  maybeThrowResourceError
}) => {
  const errorsArrays = await Promise.all([dropEvents(), dropSecrets()]);
  const finalErrors = await dropFinal();
  const errors = [];

  for (const errorsArray of errorsArrays) {
    errors.push(...errorsArray);
  }

  errors.push(...finalErrors);
  maybeThrowResourceError(errors);
};

var _default = drop;
exports.default = _default;
//# sourceMappingURL=drop.js.map